Summary:	Program for calculating and printing calendars
Name:		gcal
Version:	3.6.3
Release:	%mkrel 5
License:	GPLv3+
Group:		Office/Organizer
Source0:	ftp://ftp.gnu.org/pub/gnu/gcal/%{name}-%{version}.tar.xz
URL:		http://www.gnu.org/software/gcal/
BuildRequires:	ncurses-devel

%description
Gcal is a program for calculating and printing calendars. Gcal displays
hybrid and proleptic Julian and Gregorian calendar sheets, respectively
for one month, three months, or a whole year. It also displays eternal
holiday lists for many countries around the globe, and features a very
powerful creation of fixed date lists that can be used for reminding
purposes.

Gcal can calculate various astronomical data and times of the Sun and
the Moon for pleasure at any location, precisely enough for most civil
purposes. Gcal supports some other calendar systems, for example, the
Chinese and Japanese calendars, the Hebrew calendar, and the civil
Islamic calendar, too.

%prep
%setup -q

sed -i -e "s,ThisGcal=.*,ThisGcal=@PACKAGE@,g" misc/*/*.in

%build
%configure2_5x --disable-rpath
%make

%install
%makeinstall_std

%find_lang %{name}

#examples
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -rf doc/en/examples %{buildroot}%{_docdir}/%{name}/

#misc files
cp -rf misc %{buildroot}%{_docdir}/%{name}/

#fix rights
chmod 644 %{buildroot}%{_docdir}/%{name}/misc/gcalltx/gcalltx.pl
chmod 755 %{buildroot}%{_docdir}/%{name}/misc/wloc/wlocdrv

for i in daily ddiff dst gcalltx moon mrms srss
do
  chmod 755 %{buildroot}%{_docdir}/%{name}/misc/$i/$i
done

#cleanup
rm -rf %{buildroot}%{_datadir}/%{name}/{CREDITS,README}
find %{buildroot} -name "Makefile*" -exec rm -rf {} \;
find %{buildroot}%{_docdir} -name "*.in" -exec rm -rf {} \;
find %{buildroot}%{_docdir} -name "*.bat" -exec rm -rf {} \;
find %{buildroot}%{_docdir} -name "*.texi" -exec rm -rf {} \;

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc doc/GREG-REFORM README BUGS LIMITATIONS TODO AUTHORS NEWS THANKS 
%{_bindir}/*
%{_datadir}/gcal
%{_infodir}/gcal*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 3.6.3-5.mga5
+ Revision: 744457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6.3-4.mga5
+ Revision: 679432
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.6.3-3.mga4
+ Revision: 532577
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 fwang <fwang> 3.6.3-2.mga4
+ Revision: 468786
- do not make html

* Sun Jun 02 2013 kharec <kharec> 3.6.3-1.mga4
+ Revision: 434744
- new version 3.6.3

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 351088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 328061
- update rpm group
- new version 3.6.2

* Mon Jul 18 2011 kharec <kharec> 3.6.1-1.mga2
+ Revision: 125874
- imported package gcal

